"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    getCurrentPackageManager: ()=>getCurrentPackageManager,
    getPackageJson: ()=>getPackageJson
});
const _fs = require("fs");
const _promises = require("fs/promises");
const _path = require("path");
const getCurrentPackageManager = ()=>{
    if ((0, _fs.existsSync)((0, _path.resolve)() + '/pnpm-lock.yaml')) return 'pnpm';
    else if ((0, _fs.existsSync)((0, _path.resolve)() + '/yarn.lock')) return 'yarn';
    else return 'npm';
};
const getPackageJson = async ()=>{
    const packageJson = await (0, _promises.readFile)((0, _path.resolve)() + '/package.json', 'utf-8');
    return JSON.parse(packageJson);
};
