"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "getHighestVersion", {
    enumerable: true,
    get: ()=>getHighestVersion
});
const _semver = /*#__PURE__*/ _interopRequireDefault(require("semver"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const getHighestVersion = (versions)=>{
    const keys = Object.keys(versions).sort((a, b)=>_semver.default.compare(a, b));
    return keys[keys.length - 1];
};
