"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "plugin", {
    enumerable: true,
    get: ()=>plugin
});
const _commander = require("commander");
const _install = /*#__PURE__*/ _interopRequireDefault(require("./install"));
const _uninstall = /*#__PURE__*/ _interopRequireDefault(require("./uninstall"));
const _update = /*#__PURE__*/ _interopRequireDefault(require("./update"));
const _search = /*#__PURE__*/ _interopRequireDefault(require("./search"));
const _info = /*#__PURE__*/ _interopRequireDefault(require("./info"));
const _list = /*#__PURE__*/ _interopRequireDefault(require("./list"));
const _versions = /*#__PURE__*/ _interopRequireDefault(require("./versions"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const plugin = (0, _commander.createCommand)().name('plugin').description('manage plugins').addCommand(_install.default).addCommand(_uninstall.default).addCommand(_update.default).addCommand(_search.default).addCommand(_info.default).addCommand(_list.default).addCommand(_versions.default);
