"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "deprecation", {
    enumerable: true,
    get: ()=>deprecation
});
const _config = require("../config");
const _utils = require("../utils");
const _boxen = /*#__PURE__*/ _interopRequireDefault(require("boxen"));
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const deprecation = ()=>{
    _utils.logger.newLine();
    _utils.logger.log((0, _boxen.default)(`This CLI is deprecated and is no longer be maintained. It only supports TSCord up to version ${_chalk.default.bold.bgBlack('2.2')}.\nPlease consider using the new CLI package named ${_chalk.default.bold.bgBlack('tscord')}.` + '\n\n' + _chalk.default.bold.bgBlack(`npm uninstall -g ${_config.info.name}`) + '\n' + _chalk.default.bold.bgBlack(`npm i -g tscord`), {
        title: _chalk.default.hex('#fc7f03')(`Deprecation warning`),
        titleAlignment: 'center',
        borderStyle: 'round',
        padding: {
            left: 1,
            right: 1,
            top: 0,
            bottom: 0
        },
        borderColor: '#fc7f03'
    }));
    return true;
};
