"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "checkLocation", {
    enumerable: true,
    get: ()=>checkLocation
});
const _utils = require("../utils");
const checkLocation = async ()=>{
    const inTSCordProject = await (0, _utils.isInTSCordProject)();
    if (!inTSCordProject) {
        _utils.logger.newLine();
        _utils.logger.failure('You are not in a TSCord project');
        return false;
    }
    return true;
};
